Package org.apache.tapestry5.plastic

# Enum PropertyAccessType

java.lang.Object
java.lang.Enum<PropertyAccessType>
org.apache.tapestry5.plastic.PropertyAccessType

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyAccessType>`, `java.lang.constant.Constable`

public enum PropertyAccessType extends Enum<PropertyAccessType>
Used when converting a field into a property (that is, adding accessor methods for the field) to identify which method(s) to create (a getter to access the value and/or a mutator to modify the value).

See Also:
  - `PlasticField.createAccessors(PropertyAccessType, String)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `READ_ONLY`
  Create just a getter, not a mutator.
  `READ_WRITE`
  Create both a mutator and a getter.
  `WRITE_ONLY`
  Create just a mutator, not a getter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PropertyAccessType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PropertyAccessType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ_ONLY

    public static final PropertyAccessType READ_ONLY
    Create just a getter, not a mutator.

  - ### WRITE_ONLY

    public static final PropertyAccessType WRITE_ONLY
    Create just a mutator, not a getter.

  - ### READ_WRITE

    public static final PropertyAccessType READ_WRITE
    Create both a mutator and a getter.

- ## Method Details

  - ### values

    public static PropertyAccessType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PropertyAccessType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null